#!/bin/zsh

brew install pkg-config intltool icu4c gettext jq virtualenv
brew link icu4c gettext --force

virtualenv -p /usr/local/bin/python3.11 venv
source venv/bin/activate
pip install --upgrade pip

export PATH="/usr/local/opt/icu4c/bin:/usr/local/opt/icu4c/sbin:$PATH"
export PKG_CONFIG_PATH="$PKG_CONFIG_PATH:/usr/local/opt/icu4c/lib/pkgconfig"
pip install --no-binary=:pyicu: pyicu

pip install -r requirements.txt
